\def\PackageName{TPPratiqueS}
\def\PackageVersion{1.0}
\def\firstversion{16/11/2007}
\def\filedate{16/11/2007}
\def\docdate{16/11/2007}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}

\def\fileversion{\PackageVersion}
\ProvidesClass{\PackageName}[
     \filedate \space Version:\space \PackageVersion \space ]
\typeout{style Latex2e pour les TP de maths pratiques en 
Terminale S}
\ProvidesFile{\PackageName.cls}[\filedate \space Version:\space 
\PackageVersion]

%%%%%%%%%%%%%%%%%%%%%%%%%%
%=== Package loading

\LoadClass[a4paper,12pt]{article}
% On utilise frenchb (de babel)
\RequirePackage[frenchb]{babel}
% On charge les packages de maths 
\RequirePackage{amsfonts, amsmath, amssymb, mathrsfs}
\RequirePackage[latin1]{inputenc}

% et le package graphicx pour inclure les pdf comme des figures
\RequirePackage{graphicx,pdfpages}
% et de mise en page
%\RequirePackage{fancyhdr,enumerate}
\RequirePackage{pxfonts}

% Format de la  mise en page (2cm sur les bords)
\setlength{\hoffset}{-2cm}
\setlength{\voffset}{-3cm}
\setlength{\oddsidemargin}{2cm}
\setlength{\evensidemargin}{1cm}
\setlength{\topmargin}{2cm}
\setlength{\headheight}{12pt}
\setlength{\headsep}{1cm}
\setlength{\textwidth}{17cm}
\setlength{\footskip}{1cm}
\setlength{\textheight}{25cm}


%\pagestyle{}
\parindent=0pt
\parskip=3pt
\everymath{\displaystyle}

\def\<<{\og}
\def\>>{\fg}

\let\leq=\leqslant
\let\geq=\geqslant
\let\eps=\varepsilon  % Le "bon" epsilon
\let\vphi=\varphi     % Le phi usuel

\def\trait{\smallskip\centerline{\hbox{\vrule height .4pt depth 0pt width 6cm}}}

\def\Trait{\medskip\centerline{\hbox{\vrule height .4pt depth 0pt width 10cm}}}

\font\tenbb=msbm10 at 12pt
\font\eightbb=msbm10 at 10pt       
\font\sevenbb=msbm10 at 8pt
\font\fivebb=msbm10 at 6pt
\newfam\bbfam
\textfont\bbfam=\tenbb
\scriptfont\bbfam=\eightbb
\scriptscriptfont\bbfam=\fivebb
\def\bb{\fam\bbfam\tenbb}


% LES ENSEMBLES DE NOMBRES N,Z,Q,R,C,...
\def \Z {{\bb Z}}
\def \R {{\bb R}}
\def \C {{\bb C}}
\def \N {{\bb N}}
\def \Q {{\bb Q}}

% Le titre de la situation
\def\TIT#1{\textbf{\Large#1}}


\long\def\TITRE#1#2{
\begin{center}
\mathversion{bold}
\begin{tabular}{|p{#2}|}
\hline
%$\vphantom{.}$\\
\begin{center}
\TIT{#1}
\end{center}\\
\hline
\end{tabular}
\end{center}\mathversion{normal}
\nobreak}

\def\dt{\,\mathrm{d}\,t}
\def\dx{\,\mathrm{d}\,x}
\def\e{\mathrm{e}}
\def\ii{\mathrm{i}}

\long\def\encadre#1{
\medskip
\begin{flushright}
\begin{tabular}{|l|}
\hline
#1\\
\hline
\end{tabular}
\end{flushright}
\medskip}

%pour les tableaux
\def\tvi{\vrule height 12pt depth 5pt width 0pt}
\def\TVI{\vrule height 16pt depth 9pt width 0pt}
\def\tv{\tvi\vrule}
\def\thor{\noalign{\hrule}}
\def\centre#1{\kern .7em\hfill#1\hfill\kern .7em}

% style de page
\newcommand{\ps@monstyle}{%
\renewcommand{\@oddhead}{\hfil Travaux pratiques de Math\'ematiques\hfil}%
\renewcommand{\@oddfoot}{\hfil\thepage\hfil}}

\pagestyle{monstyle}

